/******************************流水灯************************
* 流水灯
* 现象：二极管从左至右依次点亮
*************************************************************/
/*
#include "sys.h"
#include "delay.h"
#include "led.h"
int num=0;
int cnt=0;
int i=1;
u8 light;

void SystemInit(void)
{
	Stm32_Clock_Init( 9 );  //9倍频，8M外部晶振
	//delay_init( 72 );     //系统时钟72MHz
	LED_Init();
}

void starry()
{

				SetLed(light+num,light);
			cnt++;
			delay_ms(1);
			light++;
			if(light%3==0){
				light=0;
			}
			if(cnt%500==0){
				num++;
			}
			i++;
		
}

int main( void )
{
	Stm32_Clock_Init( 9 );  //9倍频，8M外部晶振
	delay_init( 72 );       //系统时钟72MHz
	LED_Init();
	GPIOE->ODR &= ~(0xff<<8);
	LED_SEL = 0; //选择二极管	
	light = 0;
	
	while( 1 )
	{
		 
		
		int i,j;
        for(i=0;i<5;i++){
            for(j=0;j<100;j++){
                SetLed(i+0,0);
                delay_ms(1);
                SetLed(i+1,1);
                delay_ms(1);     
                SetLed(i+2,1);
                delay_ms(1);                               
        }
    }
        for(i=5;i>0;i--){
            for(j=0;j<100;j++){
                SetLed(i+0,0);
                delay_ms(1);
                SetLed(i+1,1);
                delay_ms(1); 
                SetLed(i+2,1);
                delay_ms(1);                               
        }
    }
		
		
		
	}
}
*/

#include "sys.h"
#include "delay.h"	
#include "led.h" 
#include "key.h"


int num=0;
int cnt=0;
int i=1;
int time_=100;
u8 key=0;

u8 light;

void change(){



}

void starry()//显示hjj
{
	int i,j;
	Stm32_Clock_Init( 9 );  //9倍频，8M外部晶振
	delay_init( 72 );       //系统时钟72MHz
	LED_Init();
	GPIOE->ODR &= ~(0xff<<8);
	LED_SEL = 0; //选择二极管	
	light = 0;
			for(i=0;i<5;i++){
					for(j=0;j<time_;j++){
							SetLed(i+0,0);
							delay_ms(1);
							SetLed(i+1,1);
							delay_ms(1);     
							SetLed(i+2,1);
							delay_ms(1);        
							key=KeyScan();							
				}
		}
			for(i=5;i>0;i--){
					for(j=0;j<time_;j++){
							SetLed(i+0,0);
							delay_ms(1);
							SetLed(i+1,1);
							delay_ms(1); 
							SetLed(i+2,1);
							delay_ms(1);       
							key=KeyScan();						
			}
	}
			
	key=KeyScan();

		
}

void LBB()//显示lbb
{
	int i,j;
	Stm32_Clock_Init( 9 );  //9倍频，8M外部晶振
	delay_init( 72 );       //系统时钟72MHz
	LED_Init();
	GPIOE->ODR &= ~(0xff<<8);
	LED_SEL = 0; //选择二极管	
	light = 0;

			
			for(i=0;i<5;i++){
					for(j=0;j<time_;j++){
							SetLed(i+0,3);
							delay_ms(1);
							SetLed(i+1,4);
							delay_ms(1);     
							SetLed(i+2,5);
							delay_ms(1);     
							key=KeyScan();							
				}
			}
					for(i=5;i>0;i--){
							for(j=0;j<time_;j++){
									SetLed(i+0,3);
									delay_ms(1);
									SetLed(i+1,4);
									delay_ms(1); 
									SetLed(i+2,5);
									delay_ms(1); 
									key=KeyScan();								
					}
			}
			
			
	
}






//按键输入实验
int main(void)
{
  
    
 	Stm32_Clock_Init(9); //系统时钟设置
	delay_init(72);	     //延时初始化
	LED_Init();	         //初始化与led连接的硬件接口
	KeyInit();           //按键初始化
	
	
	
	
	while(1)
	{
		
		
        key=KeyScan();
        if(1==key)       {
					time_=time_-30;
					LED1=!LED1;
					
				}
        else if(2==key)  {
					LBB();
					LED2=!LED2;
				}
        else if(3==key)  {
					time_=time_+30;
					LED3=!LED3;
				}
        else if(4==key)  {
					LED4=!LED4;
					starry();
				}else{
						Stm32_Clock_Init(9); //系统时钟设置
						delay_init(72);	     //延时初始化
						LED_Init();	         //初始化与led连接的硬件接口
						KeyInit();           //按键初始化
				}
				
		LED0=!LED0;
		delay_ms(1000);	  
				
				
	}	 
}


